Skip to main content

Create a purchase order

POSThttps://api.propexo.com/v1/purchase-orders/

Create a purchase order for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired
    vendor_idstring

    The Propexo unique identifier for the vendor

    vendor_location_idstring

    The Propexo unique identifier for the vendor location

    property_idstring

    The Propexo unique identifier for the property

    ap_financial_account_idstring

    The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.

    post_datestring

    The post date for the purchase order

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    descriptionstring

    Description of the purchase order

    shipping_amount_in_centsinteger

    The cost of shipping, in cents, of the purchase order

    discount_amount_in_centsinteger

    The discount, in cents, of the purchase order

    purchase_order_items object[]

    A list of the items associated with the purchase orders

    Possible values: >= 1

  • Array [
  • anyOf

    A purchase order item that is associated with a construction job

    property_idstringrequired

    The Propexo unique identifier for the property

    descriptionstringrequired

    Description of the purchase order item

    construction_job_idstringrequired

    The Propexo unique identifier for the construction job

    financial_account_idstring

    The Propexo unique identifier for the financial account

    stock_codestringrequired

    The stock code for the purchase order item. You'll have to request this data from your customer

    quantity_orderedstringrequired

    The quantity ordered for the purchase order item

    unit_price_in_centsintegerrequired

    The unit price, in cents, of the purchase order item

    total_cost_in_centsintegerrequired

    The total cost, in cents, of the purchase order item

    cost_codestringrequired

    The cost code of the purchase order item. You'll have to request this data from your customer

    category_codestringrequired

    The category code for the purchase order item. You'll have to request this data from your customer

  • ]
  • location_idstring

    The Propexo unique identifier for the location

    employee_idstring

    The Propexo unique identifier for the employee. Recorded as the requesting user on the purchase order

    numberstring

    The number of the purchase order

    Possible values: <= 8 characters

    order_datestring

    The order date for the purchase order

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    total_amount_in_centsnumber

    The amount of the purchase order, in cents

    shipping_address_1string

    The first address line associated with the shipping address for the purchase order

    billing_address_1string

    The first address line associated with the billing address for the purchase order

    expense_typestring

    The expense type of the purchase order. You'll have to request this data from your customer

    display_typestring

    The display type of the purchase order. You'll have to request this data from your customer

    shipping_address_2string

    The second address line associated with the shipping address for the purchase order

    shipping_citystring

    The city associated with the shipping address for the purchase order

    shipping_statestring

    The state associated with the shipping address for the purchase order. This must be a state abbreviation

    Show 2 variants
    • stringAAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    • string
    shipping_zipstring

    The zip code associated with the shipping address for the purchase order

    shipping_countrystring

    The country associated with the shipping address for the purchase order

    billing_address_2string

    The second address line associated with the billing address for the purchase order

    billing_citystring

    The city associated with the billing address for the purchase order

    billing_statestring

    The state associated with the billing address for the purchase order. This must be a state abbreviation

    Show 2 variants
    • stringAAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT
    • string
    billing_zipstring

    The zip code associated with the billing address for the purchase order

    billing_countrystring

    The country associated with the billing address for the purchase order

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/purchase-orders/
curl -X POST https://api.propexo.com/v1/purchase-orders/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}